Skip to main content
Register a Linux/systemd virtual machine and issue initial agent key
curl --request POST \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines \
  --header 'Content-Type: application/json' \
  --cookie acornops_cp_session= \
  --data '
{
  "name": "payments-vm-01",
  "hostname": "payments-vm-01.internal",
  "osFamily": "linux",
  "serviceManager": "systemd",
  "allowedLogSources": [
    "system",
    "app",
    "security"
  ]
}
'
{
  "virtualMachine": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "status": "<string>",
    "connectionStatus": "<string>",
    "latestSnapshot": {
      "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z"
    },
    "summary": {},
    "permissions": {},
    "hostname": "<string>",
    "allowedLogSources": [
      "<string>"
    ]
  },
  "agentKey": "<string>",
  "installInstructions": {
    "command": "<string>",
    "environment": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

Body

application/json
name
string
required
Example:

"payments-vm-01"

hostname
string
Example:

"payments-vm-01.internal"

osFamily
enum<string>
Available options:
linux
Example:

"linux"

serviceManager
enum<string>
Available options:
systemd
Example:

"systemd"

allowedLogSources
string[]
Example:
["system", "app", "security"]

Response

VM registration created with systemd agent install instructions.

virtualMachine
object
required
agentKey
string
required
installInstructions
object
required